# Update the Risk Relationship Folder of a TOE
source: https://developer.mastercard.com/riskrecon-api/documentation/use-cases/portfolio-management/portfolio/update-risk-reln-fold-toe/index.md

## Overview {#overview}

The `PUT Risk Relationship` endpoint allows you to move a TOE to another [risk relationship folder](https://developer.mastercard.com/riskrecon-api/documentation/glossary/index.md#risk-relationship-folder) within your portfolio. In this endpoint, a [risk relationship slug](https://developer.mastercard.com/riskrecon-api/documentation/glossary/index.md#risk-relationship-slug) is used as a unique identifier for each folder within your portfolio.

You must have the [Risk Classifier](https://developer.mastercard.com/riskrecon-api/documentation/glossary/index.md#risk-classifier-scope) scope to be able to move TOEs to another folder in your portfolio.

To move a TOE to another risk relationship folder you must:

* Provide the `risk_relationship_slug` name and the `toe_id` in the request body of the endpoint.
* Use the `GET Risk Relationship Folders` endpoint to retrieve the valid risk relationship folders and corresponding slugs for their portfolio.

<br />

For more details on the \`GET Risk Relationship Folders\` endpoint, refer to the \[Retrieve Risk Relationship Folder Names and Slugs\](/documentation/use-cases/portfolio-management/portfolio/retrve-risk-reln-slugs/) use case.

You can also move a TOE from the RiskRecon portal. This image shows how to move a TOE to a risk relationship folder from its Dashboard.

![](https://static.developer.mastercard.com/content/riskrecon-api/uploads/put-risk-relationship.png)

## Sequence Diagram {#sequence-diagram}

The following diagram shows how to move TOEs to another risk relationship folder within your portfolio:
Diagram put-risk-relationships1

## Execution Steps {#execution-steps}

The following steps show how to move TOEs to another risk relationship folder within your portfolio:

1. The user sends a `PUT` request to move TOEs to a risk relationship folder and provides the folder slug and `toe_id` in the endpoint request.
2. RiskRecon moves the TOEs to the specified risk relationship folder.

## Sample Request and Response {#sample-request-and-response}

For a sample request and response of this API, see [Update the Risk Relationship Folder of a TOE](https://developer.mastercard.com/riskrecon-api/documentation/testing/toe-samples/updt-risk-reln-fold-smpl/index.md).

## Use Case Example {#use-case-example}

The [Categorizing newly added TOEs](https://developer.mastercard.com/riskrecon-api/documentation/use-cases/portfolio-management/portfolio/update-risk-reln-fold-toe/index.md#categorizing-newly-added-toes) use case discusses how to use the `PUT Risk Relationship` endpoint to move TOEs to another risk relationship folder within your portfolio.

### Categorizing newly added TOEs {#categorizing-newly-added-toes}

A RiskRecon customer has added new vendors to its portfolio. By default, all the new TOEs are grouped under the **Uncategorized** folder. The customer can use the `GET Risk Relationship Folders` endpoint to retrieve and check the existing risk relationship folder names and slugs of the portfolio.

It can then use the `PUT Risk Relationship` endpoint to move each newly added TOE to the desired risk relationship folder.

## Endpoint {#endpoint}


API Reference: `PUT /v1/toes/risk_relationships`

